import type { LinearGradient, Pattern, RadialGradient } from '@antv/g';
import { GradientType } from '@antv/g';
export declare type GradientParams = (LinearGradient | RadialGradient) & {
    width: number;
    height: number;
    type: GradientType;
};
export declare class ImagePool {
    private imageCache;
    private gradientCache;
    private patternCache;
    private canvasConfig;
    getImageSync(src: string, callback?: () => void): HTMLImageElement;
    getOrCreateImage(src: string): Promise<HTMLImageElement>;
    getOrCreatePatternSync(pattern: Pattern, context: CanvasRenderingContext2D, callback: () => void): CanvasPattern;
    getOrCreateGradient(params: GradientParams, context: CanvasRenderingContext2D): CanvasGradient;
    private generateGradientKey;
    private generatePatternKey;
}
//# sourceMappingURL=ImagePool.d.ts.map